# Generated by Django 4.2.13 on 2024-07-15 14:06

import django.db.models.deletion
import djangoldp.fields
import djangoldp.permissions
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="Agent",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "short_name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "dbpedia",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Agent",
                "verbose_name_plural": "Agents",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Agent",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Asset",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "description",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "Asset",
                "verbose_name_plural": "Assets",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Asset",
                "permission_classes": [djangoldp.permissions.InheritPermissions],
                "serializer_fields": [
                    "@id",
                    "identifier",
                    "issuers",
                    "name",
                    "description",
                    "media_resources",
                ],
                "nested_fields": ["issuers", "media_resources"],
                "depth": 0,
                "inherit_permissions": ["prestation"],
            },
        ),
        migrations.CreateModel(
            name="AudioTrack",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "audio_channel_number",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "bit_depth",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "sample_rate",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "Audio Track",
                "verbose_name_plural": "Audio Tracks",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:AudioTrack",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "identifier",
                    "issuers",
                    "audio_channel_number",
                    "bit_depth",
                    "sample_rate",
                ],
                "nested_fields": ["issuers"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="EditorialWork",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Editorial Work",
                "verbose_name_plural": "Editorial Works",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:EditorialWork",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "tags", "programme", "assets"],
                "nested_fields": ["tags"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="EditorialWorkTag",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Tag",
                "verbose_name_plural": "Tags",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:tag",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Format",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "File Format",
                "verbose_name_plural": "File Formats",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:FileFormat",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "identifier", "issuers"],
                "nested_fields": ["issuers"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="MediaResource",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "file_name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "file_size",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "asset",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="media_resources",
                        to="djangoldp_tamis.asset",
                    ),
                ),
                (
                    "format",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="media_resources",
                        to="djangoldp_tamis.format",
                    ),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "Media Resource",
                "verbose_name_plural": "Media Resources",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:MediaResource",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "identifier",
                    "issuers",
                    "file_name",
                    "file_size",
                    "format",
                    "tracks",
                ],
                "nested_fields": ["issuers", "tracks", "format"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Prestation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "devis_id",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "expected_delivery",
                    models.DateField(
                        blank=True, null=True, verbose_name="Date de livraison prévue"
                    ),
                ),
                (
                    "admins",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="admin_prestation",
                        to="auth.group",
                    ),
                ),
                (
                    "editorial_work",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="prestations",
                        to="djangoldp_tamis.editorialwork",
                    ),
                ),
                (
                    "editors",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="editor_prestation",
                        to="auth.group",
                    ),
                ),
                (
                    "visitors",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="visitor_prestation",
                        to="auth.group",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prestation",
                "verbose_name_plural": "Prestations",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "sib:Prestation",
                "permission_classes": [djangoldp.permissions.AnonymousReadOnly & (djangoldp.permissions.ReadOnly | djangoldp.permissions.ACLPermissions)],
                "serializer_fields": [
                    "@id",
                    "devis_id",
                    "expected_delivery",
                    "editorial_work",
                    "assets",
                    "steps",
                    "members",
                ],
                "nested_fields": ["assets", "steps"],
                "depth": 0,
                "permission_roles": {
                    "admins": {"perms": ["view", "change", "control"]},
                    "editors": {"perms": ["view", "change"]},
                    "visitors": {"perms": ["view"]},
                },
            },
        ),
        migrations.CreateModel(
            name="PrestationStep",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("is_template", models.BooleanField(default=False)),
                (
                    "prestation",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="steps",
                        to="djangoldp_tamis.prestation",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prestation Related Step",
                "verbose_name_plural": "Prestation Related Steps",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "sib:PrestationTemplate",
                "permission_classes": [djangoldp.permissions.InheritPermissions],
                "serializer_fields": ["@id", "is_template", "steps"],
                "nested_fields": ["steps"],
                "depth": 0,
                "inherit_permissions": ["prestation"],
            },
        ),
        migrations.CreateModel(
            name="Step",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
            ],
            options={
                "verbose_name": "Prestation Step",
                "verbose_name_plural": "Prestation Steps",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "sib:hasStep",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "name"],
                "nested_fields": [],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="VideoTrack",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "frame_height",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "frame_rate",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "frame_width",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "Video Track",
                "verbose_name_plural": "Video Tracks",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:VideoTrack",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "identifier",
                    "issuers",
                    "frame_height",
                    "frame_rate",
                    "frame_width",
                ],
                "nested_fields": ["issuers"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Track",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "audio_track",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tracks",
                        to="djangoldp_tamis.audiotrack",
                    ),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
                (
                    "media_resource",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tracks",
                        to="djangoldp_tamis.mediaresource",
                    ),
                ),
                (
                    "video_track",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tracks",
                        to="djangoldp_tamis.videotrack",
                    ),
                ),
            ],
            options={
                "verbose_name": "Track",
                "verbose_name_plural": "Tracks",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Track",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "identifier",
                    "issuers",
                    "audio_track",
                    "video_track",
                ],
                "nested_fields": ["issuers", "audio_track", "video_track"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="StepToTemplate",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                ("order", models.IntegerField(blank=True, null=True)),
                ("validated", models.BooleanField(default=False)),
                (
                    "step",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="templates",
                        to="djangoldp_tamis.step",
                    ),
                ),
                (
                    "template",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="steps",
                        to="djangoldp_tamis.prestationstep",
                    ),
                ),
            ],
            options={
                "verbose_name": "Prestation Template Step",
                "verbose_name_plural": "Prestation Template Steps",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "sib:PrestationStep",
                "permission_classes": [djangoldp.permissions.InheritPermissions],
                "serializer_fields": ["@id", "step", "order", "validated"],
                "nested_fields": ["step"],
                "depth": 0,
                "inherit_permissions": ["template"],
            },
        ),
        migrations.CreateModel(
            name="Serie",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "alternate_title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
            ],
            options={
                "verbose_name": "Serie",
                "verbose_name_plural": "Series",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Series",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": ["@id", "title", "alternate_title", "seasons"],
                "nested_fields": ["seasons"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Season",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "alternate_title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "number",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
                (
                    "serie",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="seasons",
                        to="djangoldp_tamis.serie",
                    ),
                ),
            ],
            options={
                "verbose_name": "Season",
                "verbose_name_plural": "Seasons",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Seasons",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "title",
                    "alternate_title",
                    "serie",
                    "programmes",
                ],
                "nested_fields": ["serie", "programmes"],
                "depth": 0,
            },
        ),
        migrations.CreateModel(
            name="Programme",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "identifier",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "alternate_title",
                    models.CharField(blank=True, default="", max_length=254, null=True),
                ),
                (
                    "number",
                    models.PositiveIntegerField(blank=True, default=0, null=True),
                ),
                (
                    "issuers",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="djangoldp_tamis.agent",
                    ),
                ),
                (
                    "season",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="programmes",
                        to="djangoldp_tamis.season",
                    ),
                ),
            ],
            options={
                "verbose_name": "Programme",
                "verbose_name_plural": "Programmes",
                "abstract": False,
                "default_permissions": {"add", "delete", "view", "change", "control"},
                "rdf_type": "ec:Programme",
                "permission_classes": [djangoldp.permissions.ReadOnly],
                "serializer_fields": [
                    "@id",
                    "title",
                    "alternate_title",
                    "editorial_works",
                    "season",
                ],
                "nested_fields": ["editorial_works", "season"],
                "depth": 0,
            },
        ),
        migrations.AddField(
            model_name="editorialwork",
            name="programme",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="editorial_works",
                to="djangoldp_tamis.programme",
            ),
        ),
        migrations.AddField(
            model_name="editorialwork",
            name="tags",
            field=models.ManyToManyField(
                blank=True, related_name="tags", to="djangoldp_tamis.editorialworktag"
            ),
        ),
        migrations.AddField(
            model_name="asset",
            name="prestation",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="assets",
                to="djangoldp_tamis.prestation",
            ),
        ),
    ]
